$(function(){

  // Bind an event to window.onhashchange that, when the hash changes, sets the
  // class on the body with the same name as the #hash-tag
  $(window).hashchange( function(){
    var hash = location.hash;

    // add an class on the body with the same name as the #hash-tag
    $('body').addClass(' ' + ( hash.replace( /^#/, '' ) || 'blank' ));

    // target the option which has the same/corresponding id as the class set on the body, setting the "selected" attribute as-appropriate.
    $('.sm-home #sm-home').attr('selected','selected');
    $('.sm-blog #sm-blog').attr('selected','selected');
    $('.sm-members #sm-members').attr('selected','selected');
    $('.sm-forum #sm-forum').attr('selected','selected');
    $('.sm-login #sm-login').attr('selected','selected');
    $('.sm-contact #sm-contact').attr('selected','selected');
    $('.sm-about #sm-about').attr('selected','selected'); 
  })

  // Since the event is only triggered when the hash changes, we need to trigger
  // the event now, to handle the hash the page may have loaded with.
  $(window).hashchange();

});
$(function(){
  $('.sm-home #sm-top').prepend('Home');
  $('.sm-blog #sm-top').prepend('Blog');
  $('.sm-members #sm-top').prepend('Members');
  $('.sm-forum #sm-top').prepend('Forum');
  $('.sm-login #sm-top').prepend('Login');
  $('.sm-contact #sm-top').prepend('Contact');
  $('.sm-about #sm-top').prepend('About');  
});
